How to install upmpdcli on RuneAudio for Tidal streaming?

Raspberry Pi related support

How to install upmpdcli on RuneAudio for Tidal streaming?

Postby tml3nr » 18 Jul 2018, 03:55

After compare sound quality between upmpdcli and bubbleupnp server for Tidal streaming. I prefer upmpdcli.

i've just tested upmpdcli on Raspbian Stretch. It's works perfectly, but i can't install on RuneAudio 0.4. i've tried many time but unsuccessfully.

Help me please. i don't know what to do anymore.

https://www.lesbonscomptes.com/upmpdcli ... anual.html

PS: My setup Rune 0.4-beta_20170229 / RPi 2 / Boss Dac

Debug data:

https://pastebin.com/Avad5wQi
Last edited by tml3nr on 19 Jul 2018, 15:17, edited 3 times in total.
tml3nr
 
Posts: 42
Joined: 02 Apr 2016, 07:43

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby janui » 18 Jul 2018, 08:37

Hi tml3nr,
tml3nr wrote:i've just tested upmpdcli on Raspbian Stretch. It's works perfectly, but i can't install on RuneAudio 0.4. i've tried many time but unsuccessfully.
upmpdcli is already installed. Switch it on in the Settings menu.
janui
User avatar
janui
 
Posts: 323
Joined: 20 Dec 2014, 12:55
Location: Ollanda

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby tml3nr » 18 Jul 2018, 15:14

janui wrote:Hi tml3nr,
tml3nr wrote:i've just tested upmpdcli on Raspbian Stretch. It's works perfectly, but i can't install on RuneAudio 0.4. i've tried many time but unsuccessfully.
upmpdcli is already installed. Switch it on in the Settings menu.
janui

Thank you for your reply. upmpdcli preinstall on Rune 0.4 is old version, it's not support Tidal streaming.

In upmpdcli new version. It's contains tidal plugins.

Picture below i capture on archphile 0.99.73. Tidal streaming perfectly:

Image

Many thanks for your help!
tml3nr
 
Posts: 42
Joined: 02 Apr 2016, 07:43

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby janui » 23 Jul 2018, 09:16

Hi tml3nr,
To upgrade upmpdcli to v1.2.15…

First upgrade some packages:
Code: Select all
pacman -Sy
pacman -S libmicrohttpd libjsoncpp gcc gcc-libs
Download these two Rune packages:
http://www.mediafire.com/file/3wp0qaqi5 ... ar.xz/file sha-256:
Code: Select all
0FDC6AF44C90BF66311542C6870711093C508BE28493570FED1E949DAD6678ED
http://www.mediafire.com/file/h566dk94a ... ar.xz/file sha-256:
Code: Select all
5FA85F5E0EB78DB24E4C5BA583301E0F74571C63C625AE1E7AB56942EC47B8A9
Install them, with:
Code: Select all
pacman -U upmpdcli-rune-1.2.15-3-armv7h.pkg.tar.xz
and:
Code: Select all
pacman -U libupnpp-rune-20180125-1-armv7h.pkg.tar.xz
Then remove gcc, with:
Code: Select all
pacman -Rs gcc

Check that Rune still works, run:
Code: Select all
php -f /srv/http/db/redis_datastore_setup check
php -f /srv/http/command/debug_collector
php -f /srv/http/command/refresh_nics
There should be no errors from these scripts. This is not a full test but gives a good indication that all is OK.

Restart upmpdcli with:
Code: Select all
systemctl daemon-reload
systemctl start upmpdcli
systemctl status upmpdcli
You should see that upmpdcli is running.

Sorry, I can’t help with configuring upmpdcli for Tidal. Please share any additional information.

janui
User avatar
janui
 
Posts: 323
Joined: 20 Dec 2014, 12:55
Location: Ollanda

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby tml3nr » 24 Jul 2018, 01:38

janui wrote:Hi tml3nr,
To upgrade upmpdcli to v1.2.15…

First upgrade some packages:
Code: Select all
pacman -Sy
pacman -S libmicrohttpd jsoncpp gcc gcc-libs
Download these two Rune packages:
http://www.mediafire.com/file/3wp0qaqi5 ... ar.xz/file sha-256:
Code: Select all
0FDC6AF44C90BF66311542C6870711093C508BE28493570FED1E949DAD6678ED
http://www.mediafire.com/file/h566dk94a ... ar.xz/file sha-256:
Code: Select all
5FA85F5E0EB78DB24E4C5BA583301E0F74571C63C625AE1E7AB56942EC47B8A9
Install them, with:
Code: Select all
pacman -U upmpdcli-rune-1.2.15-3-armv7h.pkg.tar.xz
and:
Code: Select all
pacman -U libupnpp-rune-20180125-1-armv7h.pkg.tar.xz
Then remove gcc, with:
Code: Select all
pacman -Rs gcc

Check that Rune still works, run:
Code: Select all
php -f /srv/http/db/redis_datastore_setup check
php -f /srv/http/command/debug_collector
php -f /srv/http/command/refresh_nics
There should be no errors from these scripts. This is not a full test but gives a good indication that all is OK.

Restart upmpdcli with:
Code: Select all
systemctl daemon-reload
systemctl start upmpdcli
systemctl status upmpdcli
You should see that upmpdcli is running.

Sorry, I can’t help with configuring upmpdcli for Tidal. Please share any additional information.

janui

Many thanks to janui! Follow your instructions. I just tested:

Code: Select all
root@runeaudio(rw):~# pacman -Sy
:: Synchronizing package databases...
 core                                   214.0 KiB   690K/s 00:00 [###################################] 100%
 extra                                    2.2 MiB  2.91M/s 00:01 [###################################] 100%
 community                                4.7 MiB   601K/s 00:08 [###################################] 100%
 alarm                                  111.2 KiB   505K/s 00:00 [###################################] 100%
 aur                                      6.1 KiB  0.00B/s 00:00 [###################################] 100%

root@runeaudio(rw):~# pacman -S libmicrohttpd
resolving dependencies...
looking for conflicting packages...

Packages (1) libmicrohttpd-0.9.59-1

Total Download Size:   0.17 MiB
Total Installed Size:  0.35 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 libmicrohttpd-0.9.59-1-armv7h          173.9 KiB  1242K/s 00:00 [###################################] 100%
(1/1) checking keys in keyring                                   [###################################] 100%
(1/1) checking package integrity                                 [###################################] 100%
(1/1) loading package files                                      [###################################] 100%
(1/1) checking for file conflicts                                [###################################] 100%
(1/1) checking available disk space                              [###################################] 100%
:: Processing package changes...
(1/1) installing libmicrohttpd                                   [###################################] 100%

root@runeaudio(rw):~# pacman -S jsoncpp
resolving dependencies...
looking for conflicting packages...

Packages (1) jsoncpp-1.8.4-2

Total Download Size:   0.09 MiB
Total Installed Size:  0.54 MiB
Net Upgrade Size:      0.27 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 jsoncpp-1.8.4-2-armv7h                  95.3 KiB   596K/s 00:00 [###################################] 100%
(1/1) checking keys in keyring                                   [###################################] 100%
(1/1) checking package integrity                                 [###################################] 100%
(1/1) loading package files                                      [###################################] 100%
(1/1) checking for file conflicts                                [###################################] 100%
(1/1) checking available disk space                              [###################################] 100%
:: Processing package changes...
(1/1) upgrading jsoncpp                                          [###################################] 100%
New optional dependencies for jsoncpp
    jsoncpp-doc: documentation

root@runeaudio(rw):~# pacman -S gcc
resolving dependencies...
looking for conflicting packages...

Packages (5) binutils-2.30-5  gcc-libs-8.1.1+20180531-1  glibc-2.27-3  linux-api-headers-4.16.1-1
             gcc-8.1.1+20180531-1

Total Download Size:    53.72 MiB
Total Installed Size:  237.00 MiB
Net Upgrade Size:      141.17 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 linux-api-headers-4.16.1-1-any         940.9 KiB  3.83M/s 00:00 [###################################] 100%
 glibc-2.27-3-armv7h                      8.2 MiB   636K/s 00:13 [###################################] 100%
 gcc-libs-8.1.1+20180531-1-armv7h        16.2 MiB  1401K/s 00:12 [###################################] 100%
 binutils-2.30-5-armv7h                   4.6 MiB   938K/s 00:05 [###################################] 100%
 gcc-8.1.1+20180531-1-armv7h             23.9 MiB  1986K/s 00:12 [###################################] 100%
(5/5) checking keys in keyring                                   [###################################] 100%
(5/5) checking package integrity                                 [###################################] 100%
(5/5) loading package files                                      [###################################] 100%
(5/5) checking for file conflicts                                [###################################] 100%
(5/5) checking available disk space                              [###################################] 100%
warning: could not get file information for var/db/Makefile
:: Processing package changes...
(1/5) upgrading linux-api-headers                                [###################################] 100%
(2/5) upgrading glibc                                            [###################################] 100%
warning: /etc/locale.gen installed as /etc/locale.gen.pacnew
warning: directory permissions differ on /usr/lib/systemd/system/
filesystem: 644  package: 755
Generating locales...
  de_DE.UTF-8... done
  en_GB.UTF-8... done
  en_US.UTF-8... done
Generation complete.
New optional dependencies for glibc
    gd: for memusagestat
(3/5) upgrading gcc-libs                                         [###################################] 100%
(4/5) installing binutils                                        [###################################] 100%
(5/5) installing gcc                                             [###################################] 100%

root@runeaudio(rw):~# pacman -S gcc-libs
warning: gcc-libs-8.1.1+20180531-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) gcc-libs-8.1.1+20180531-1

Total Installed Size:  76.08 MiB
Net Upgrade Size:       0.00 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                                   [###################################] 100%
(1/1) checking package integrity                                 [###################################] 100%
(1/1) loading package files                                      [###################################] 100%
(1/1) checking for file conflicts                                [###################################] 100%
(1/1) checking available disk space                              [###################################] 100%
:: Processing package changes...
(1/1) reinstalling gcc-libs                                      [###################################] 100%


Code: Select all
root@runeaudio(rw):~# pacman -U upmpdcli-rune-1.2.15-3-armv7h.pkg.tar.xz
loading packages...
warning: upmpdcli-rune-1.2.15-3 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) upmpdcli-rune-1.2.15-3

Total Installed Size:  1.46 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                                                          [###################################################] 100%
(1/1) checking package integrity                                                        [###################################################] 100%
(1/1) loading package files                                                             [###################################################] 100%
(1/1) checking for file conflicts                                                       [###################################################] 100%
(1/1) checking available disk space                                                     [###################################################] 100%
:: Processing package changes...
(1/1) reinstalling upmpdcli-rune                                                        [###################################################] 100%
warning: directory permissions differ on /usr/lib/systemd/system/
filesystem: 644  package: 755


Code: Select all
root@runeaudio(rw):~# pacman -U libupnpp-rune-20180125-1-armv7h.pkg.tar.xz
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (1) libupnpp-rune-20180125-1

Total Installed Size:  0.84 MiB
Net Upgrade Size:      0.15 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                                   [###################################] 100%
(1/1) checking package integrity                                 [###################################] 100%
(1/1) loading package files                                      [###################################] 100%
(1/1) checking for file conflicts                                [###################################] 100%
(1/1) checking available disk space                              [###################################] 100%
warning: could not get file information for usr/include/libupnpp/base64.hxx
warning: could not get file information for usr/include/libupnpp/control/avtransport.hxx
warning: could not get file information for usr/include/libupnpp/control/cdircontent.hxx
warning: could not get file information for usr/include/libupnpp/control/cdirectory.hxx
warning: could not get file information for usr/include/libupnpp/control/description.hxx
warning: could not get file information for usr/include/libupnpp/control/device.hxx
warning: could not get file information for usr/include/libupnpp/control/discovery.hxx
warning: could not get file information for usr/include/libupnpp/control/mediarenderer.hxx
warning: could not get file information for usr/include/libupnpp/control/mediaserver.hxx
warning: could not get file information for usr/include/libupnpp/control/ohplaylist.hxx
warning: could not get file information for usr/include/libupnpp/control/ohproduct.hxx
warning: could not get file information for usr/include/libupnpp/control/renderingcontrol.hxx
warning: could not get file information for usr/include/libupnpp/control/service.hxx
warning: could not get file information for usr/include/libupnpp/device/device.hxx
warning: could not get file information for usr/include/libupnpp/log.hxx
warning: could not get file information for usr/include/libupnpp/ptmutex.hxx
warning: could not get file information for usr/include/libupnpp/soaphelp.hxx
warning: could not get file information for usr/include/libupnpp/upnpavutils.hxx
warning: could not get file information for usr/include/libupnpp/upnpplib.hxx
warning: could not get file information for usr/include/libupnpp/upnpputils.hxx
warning: could not get file information for usr/lib/libupnpp.so
:: Processing package changes...
(1/1) upgrading libupnpp-rune                                    [###################################] 100%


Code: Select all
root@runeaudio(rw):~# php -f /srv/http/db/redis_datastore_setup check
root@runeaudio(rw):~# php -f /srv/http/command/debug_collector
root@runeaudio(rw):~# php -f /srv/http/command/refresh_nics
root@runeaudio(rw):~#


Code: Select all
root@runeaudio(rw):~# systemctl daemon-reload
root@runeaudio(rw):~# systemctl start upmpdcli


Code: Select all
root@runeaudio(rw):~# systemctl status upmpdcli
● upmpdcli.service - Upmpdcli UPnP/dlna receiver
   Loaded: loaded (/usr/lib/systemd/system/upmpdcli.service; disabled; vendor preset: disabled)
   Active: active (running) since Mon 2016-02-22 21:42:34 ICT; 2 years 4 months ago
 Main PID: 961 (upmpdcli)
   CGroup: /system.slice/upmpdcli.service
           └─961 /usr/bin/upmpdcli -d /var/log/runeaudio/upmpdcli.log -l 6 -f RuneAudio (UPnP)

Feb 22 21:42:34 runeaudio systemd[1]: Started Upmpdcli UPnP/dlna receiver.
Jul 23 21:00:39 runeaudio systemd[1]: Started Upmpdcli UPnP/dlna receiver.


Code: Select all
root@runeaudio(rw):~# /usr/bin/upmpdcli -v
Upmpdcli 1.2.15 libupnpp 0.16.1


At this point Rune UPnP renderer work fine. But mediaserver for Tidal does not appear.

i add to /etc/upmpdcli.conf:

Code: Select all
tidaluser = my_email
tidalpass = my_password
tidalquality = lossless

ohproductroom = RuneAudio-room


After restart upmpdcli service. Rune mediaserver appear. But when access to Tidal service. It's error, may be some Tidal API is not correct:

Code: Select all
root@runeaudio(rw):~# systemctl status upmpdcli
● upmpdcli.service - Upmpdcli UPnP/dlna receiver
   Loaded: loaded (/usr/lib/systemd/system/upmpdcli.service; disabled; vendor preset: disabled)
   Active: active (running) since Tue 2018-07-24 06:08:34 ICT; 20min ago
 Main PID: 1251 (upmpdcli)
    Tasks: 16 (limit: 512)
   CGroup: /system.slice/upmpdcli.service
           ├─1251 /usr/bin/upmpdcli -c /etc/upmpdcli.conf
           └─1262 /usr/bin/upmpdcli -m 2 -c /etc/upmpdcli.conf

Jul 24 06:09:20 runeaudio upmpdcli[1251]:     import tidalapi
Jul 24 06:09:20 runeaudio upmpdcli[1251]:   File "/usr/share/upmpdcli/cdplugins/tidal/tidalapi/__init__.py", line 26, in <module>
Jul 24 06:09:20 runeaudio upmpdcli[1251]:     import requests
Jul 24 06:09:20 runeaudio upmpdcli[1251]: ModuleNotFoundError: No module named 'requests'
Jul 24 06:09:21 runeaudio upmpdcli[1251]: Traceback (most recent call last):
Jul 24 06:09:21 runeaudio upmpdcli[1251]:   File "/usr/share/upmpdcli/cdplugins/tidal/tidal-app.py", line 33, in <module>
Jul 24 06:09:21 runeaudio upmpdcli[1251]:     import tidalapi
Jul 24 06:09:21 runeaudio upmpdcli[1251]:   File "/usr/share/upmpdcli/cdplugins/tidal/tidalapi/__init__.py", line 26, in <module>
Jul 24 06:09:21 runeaudio upmpdcli[1251]:     import requests
Jul 24 06:09:21 runeaudio upmpdcli[1251]: ModuleNotFoundError: No module named 'requests'


Image

Even without mediaserver. Updating upmpdcli on Rune is a miracle.

I hope there will be a new Rune version in the near future, and Tidal can work on upmpdcli.

Many thanks again!
tml3nr
 
Posts: 42
Joined: 02 Apr 2016, 07:43

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby vlaca » 28 Sep 2018, 10:28

Hi!

I tried the Tidal on new runeaudio 05b, but not working.
(Maybe it has newer upmpdcli, just edited the config and reboot. The runeaudio-mediaserver running, and appear in Kazoo and Lumin, but there is still communication error message. On Moode/Volumio worked similar method.)

Somebody know the solution for Tidal streaming in Runeaudio?

Thank you!

Regards,
(V)Laca
vlaca
 
Posts: 2
Joined: 28 Sep 2018, 10:15

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby tml3nr » 28 Sep 2018, 13:44

vlaca wrote:Hi!

I tried the Tidal on new runeaudio 05b, but not working.
(Maybe it has newer upmpdcli, just edited the config and reboot. The runeaudio-mediaserver running, and appear in Kazoo and Lumin, but there is still communication error message. On Moode/Volumio worked similar method.)

Somebody know the solution for Tidal streaming in Runeaudio?

Thank you!

Regards,
(V)Laca

Unfortunately, version 0.5b still does not support upmpdcli Tidal pluggin.

By now the best way is enable Rune UPnP renderer. And play Tidal from an app on mobile device.

On IOS: AK Connect, MConnect...

Image

Image

On Android: BubbleUPnP, MConnect, AK Connect...

Image

Image
Last edited by tml3nr on 29 Sep 2018, 05:17, edited 2 times in total.
tml3nr
 
Posts: 42
Joined: 02 Apr 2016, 07:43

Re: How to install upmpdcli on RuneAudio for Tidal streaming

Postby vlaca » 28 Sep 2018, 18:47

Yeah, its working fine! :D

Thank you so mutch!

Regards,
Vlaca
vlaca
 
Posts: 2
Joined: 28 Sep 2018, 10:15

support RuneAudio Donate with PayPal


Return to Raspberry Pi

Who is online

Users browsing this forum: No registered users and 7 guests